#
# spec file for package yast2-kerberos-server
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           yast2-kerberos-server
Version:        2.20.0
Release:        0.3.1

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-kerberos-server-2.20.0.tar.bz2

Prefix:         /usr

Group:          System/YaST
License:        GPLv2+
Requires:       yast2 yast2-ldap-client yast2-kerberos-client
BuildRequires:  perl-XML-Writer update-desktop-files yast2 yast2-devtools yast2-ldap-client yast2-testsuite

BuildArch:      noarch

Summary:        YaST2 - Kerberos Server Configuration

%description
Provides basic configuration of a Kerberos server over the YaST2
Control Center.

%prep
%setup -n yast2-kerberos-server-2.20.0

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install

export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"

%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
# V=1: verbose build in case we used AM_SILENT_RULES(yes)
# so that RPM_OPT_FLAGS check works
make %{?jobs:-j%jobs} V=1

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/kerberos-server
/usr/share/YaST2/include/kerberos-server/*
/usr/share/YaST2/clients/kerberos-server.ycp
/usr/share/YaST2/modules/KerberosServer.*
%{prefix}/share/applications/YaST2/kerberos-server.desktop
/usr/share/YaST2/scrconf/*.scr
/usr/lib/YaST2/servers_non_y2/*
%doc %{prefix}/share/doc/packages/yast2-kerberos-server
%changelog
* Thu Apr 14 2011 mc@suse.de
- version 2.20.0
- submit fixes below for 11.4 (bnc#684475)
* Fri Jul 23 2010 mc@suse.de
- fix LDAP based Kerberos Server configuration fails with TLS error
  (bnc#619549)
* Mon Nov 16 2009 mc@suse.de
- Use InputField, where `Time and `Date do not exist
  (bnc#551146)
* Tue Jan 20 2009 mc@suse.de
- version 2.18.0
- show ReallyAbort popup only if there are modifications
  (bnc#460158)
* Mon Dec  1 2008 mc@suse.de
- version 2.17.5
- resize groupbox to make longer translation texts possible
  (bnc#447614)
* Tue Sep 23 2008 mc@suse.de
- version 2.17.4
- create a LDAP ACL for krbPrincipalKey,krbExtraData (bnc#429057)
* Wed Sep 10 2008 mc@suse.de
- version 2.17.3
- merge proofreaded texts.
* Wed Aug 13 2008 mc@suse.de
- version 2.17.2
- adapt SetupLdapServer function to new LdapServer API
* Mon Aug 11 2008 mc@suse.de
- version 2.17.1
- apply patch for ldap agent changes
* Tue Jun 24 2008 mc@suse.de
- version 2.17.0
  * fix ldap_servers parameter
  * add shortcuts
  * replace TextEntry with InputField
  * show correct UI values when clicking back
  * fix log messages; add some default values
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Tue May 13 2008 mc@suse.de
- 2.16.4
- fix name in desktop file
- strech the password entries
* Tue May  6 2008 mc@suse.de
- fix typos in help text (bnc#384196)
- 2.16.3
* Fri Apr 18 2008 jsrain@suse.cz
- merged texts from proofread
- 2.16.2
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
- 2.16.1
* Wed Feb 13 2008 mc@suse.de
- add .initialized command to ag_kadmin
* Tue Nov 20 2007 mc@suse.de
- version 2.16.0
- display errors during Read and Write
* Mon Nov 19 2007 mc@suse.de
- fixing wrong default URL [#340912]
- do not lose values if going to advanced settings and back.
  [#340912]
- check if the kerberos schema is known to the ldapsever
  if using external ldap server. [#340912]
* Mon Aug 27 2007 mc@suse.de
- version 2.15.4
- fix desktop file; move module in Net:Advanced Category
* Mon Aug  6 2007 mc@suse.de
- version 2.15.3
- fix one more typo
* Thu Jul 12 2007 mc@suse.de
- version 2.15.2
- fix some typos in strings marked for translation
* Fri Jul  6 2007 mc@suse.de
- version 2.15.1
- add help texts for advanced configuration parameters
- add special widget for default_principal_expiration
- fix ticket flags names for kdc.conf
* Tue Feb 20 2007 mc@suse.de
- initial version 2.15.0
